## PhoshBackgroundManager

PhoshBackgroundManager — Tracks screen related events and updates backgrounds accordingly.

## Functions

PhoshBackgroundManager * | phosh_background_manager_new ()
GList * | phosh_background_manager_get_backgrounds ()

## Types and Values

#define | PHOSH_TYPE_BACKGROUND_MANAGER
| PhoshBackgroundManager

## Object Hierarchy

        GObject
        ╰── PhoshBackgroundManager

## Description

## Functions

### phosh_background_manager_new ()

    PhoshBackgroundManager *
    phosh_background_manager_new (void);

### phosh_background_manager_get_backgrounds ()

    GList *
    phosh_background_manager_get_backgrounds
                                   (PhoshBackgroundManager *self);

#### Parameters

self | The PhoshBackgroundManager |

#### Returns

The current backgrounds.

[transfer container][element-type PhoshBackground]

## Types and Values

### PHOSH_TYPE_BACKGROUND_MANAGER

    #define PHOSH_TYPE_BACKGROUND_MANAGER (phosh_background_manager_get_type())

### PhoshBackgroundManager

    typedef struct _PhoshBackgroundManager PhoshBackgroundManager;